;===============================================================================
; Duration Data & Sound Frequency
;-------------------------------------------------------------------------------
; Upper 3 bits holds duration, lower 5 bits holds frequency
;
; For duration use these constants:
;   D1 = hold value for 1 frame (can leave off)
;   D2 = hold value for 2 frames
;   ...
;   D8 = hold value for 8 frames
;===============================================================================
D1 = 0
D2 = 1*32
D3 = 2*32
D4 = 3*32
D5 = 4*32
D6 = 5*32
D7 = 6*32
D8 = 7*32

; SoundMenuBlip         = sfx, Menu option changed (lowest priority sound effect)
; SoundPlayerShoot      = sfx, Player Shoots 
; _01_SongEndA & B      = Tune, High Score    (currently being used for start of new game)
; _02_RoundClearA & B   = Tune, End of Round
; _03_TrampolineA & B   = Tune, coin inserted (not in use)
; _04_ExtendingA & B    = Tune, ?? (not in use)
; _05_CannonHit         = sfx, Station Pod destroyed
; _06_P_Type            = sfx, P-Type Missile destroyed
; _07_EnemyFormationHit = sfx, Formation ship destroyed
; _08_MissileSpyShipHit = sfx, I-Type Missile or Spy Ship destroyed
; _09_E_Type_MissileHit = sfx, E-Type Missile destroyed
; _10ActiveAlertCondRed = sfx, Red Alert active (loop 16.5 times?) (not in use)
; _11_AsteroidHit       = sfx, Asteroid destroyed
; SoundMineHit          = sfx, Mine destroyed
; SoundPlayerHit        = sfx, Player destroyed
; 

SoundFreq:  ; 0-31 0 = highest freq.
            ; upper 3 bits control duration, 0 = 1 frame, 1 = 2 frames... 7=8 frames
            
        .byte 0, D4+24 ; menu blip
            
        .byte 0, 5, D8+4, D8+4, D4+4  ; Player Shoots
        .byte    4, D4+4, 4, D4+4     ; Player Shoots
        .byte    5, D4+4, 5, D4+4     ; Player Shoots
        .byte    5, D4+4, 1           ; Player Shoots                
            
        .byte 0, D5+9,  D5+10, D5+11, D5+5 ; 01 SongEndA
        .byte    D5+7,   D5+9, D5+11,  D5+7 ; 01 SongEndA
        .byte    D5+9,  D5+11, D5+15,  D5+9 ; 01 SongEndA
        .byte    D5+11, D5+15, D5+17, D5+11 ; 01 SongEndA
        .byte    D5+15, D5+17, D5+19, D5+29 ; 01 SongEndA
        .byte    D5+23, D5+19, D5+17, D5+29 ; 01 SongEndA
        .byte    D5+23, D5+19, D5+17, D5+29 ; 01 SongEndA
        .byte    D5+23, D5+19, D5+17, D5+29 ; 01 SongEndA
        .byte    D5+23, D5+19, D5+17, D5+29 ; 01 SongEndA
        .byte    D5+23, D5+19, D5+17, D5+29 ; 01 SongEndA
        .byte    D5+26, D5+23, D5+17, D5+29 ; 01 SongEndA
        .byte    D5+29, D5+23, D5+17, D5+29 ; 01 SongEndA
        .byte    D5+23, D5+19, D5+17 ; 01 SongEndA

        .byte 0, D5+5,   D5+8,  D5+9, D5+11 ; 01 SongEndB
        .byte    D5+11, D5+11, D5+11, D5+15 ; 01 SongEndB
        .byte    D5+15, D5+15, D5+15, D5+17 ; 01 SongEndB
        .byte    D5+17, D5+17, D5+17, D5+19 ; 01 SongEndB
        .byte    D5+19, D5+19, D5+19, D5+23 ; 01 SongEndB
        .byte    D5+23, D5+26, D5+26, D5+31 ; 01 SongEndB
        .byte    D5+31, D5+23, D5+23, D5+23 ; 01 SongEndB
        .byte    D5+23, D5+21, D5+21, D5+19 ; 01 SongEndB
        .byte    D5+19, D5+19, D5+19, D5+29 ; 01 SongEndB
        .byte    D5+29, D5+23, D5+23, D5+26 ; 01 SongEndB
        .byte    D5+26, D5+23, D5+23, D5+23 ; 01 SongEndB
        .byte    D5+23, D5+26, D5+26, D5+29 ; 01 SongEndB
        .byte    D5+29, D5+29, D5+29 ; 01 SongEndB

                
        .byte 0, D7+14, D7+14, D7+14, D7+14 ; 02 Round Clear A
        .byte    D4+19, D6+19, D4+19, D4+19 ; 02 Round Clear A
        .byte    D4+19, D4+19, D2+22, D3+22 ; 02 Round Clear A
        .byte    D3+22, D3+22, D4+22, D4+22 ; 02 Round Clear A
        .byte    D4+22 ; 02 Round Clear A

        .byte 0, D7+8, D7+8, D7+8, D7+8 ; 02 Round Clear B
        .byte    D4+0, D6+9, D4+0, D4+10 ; 02 Round Clear B
        .byte    D4+0, D4+9, D2+0, D3+10 ; 02 Round Clear B
        .byte    D3+0, D3+10, D4+0, D4+0 ; 02 Round Clear B
        .byte    D4+10 ; 02 Round Clear B

        ; .byte 0, D5+14, D3+15, 17, 19 ; _03_TrampolineA
        ; .byte    21, 23, 21, 19 ; _03_TrampolineA
        ; .byte    21 ; _03_TrampolineA
; 
        ; .byte 0, D5+17, D3+19, 21, 23 ; _03_TrampolineB
        ; .byte    26, 29, 26, 23 ; _03_TrampolineB
        ; .byte    26 ; _03_TrampolineB


        .byte 0, D3+23, D3+20, D3+19, D3+17 ; _04_ExtendingA
        .byte    D3+15, D3+17, D3+19, D3+20 ; _04_ExtendingA
        .byte    D3+23, D3+26 ; _04_ExtendingA

        .byte 0, D3+29, D3+26, D3+23, D3+29 ; _04_ExtendingB
        .byte    D3+19, D3+20, D3+23, D3+26 ; _04_ExtendingB
        .byte    D3+29, D3+31 ; _04_ExtendingB

        .byte 0, D2+14, D2+21, 0, D2+14 ; _05_CannonHit
        .byte    D2+21, 0, D2+14, D2+21 ; _05_CannonHit
        .byte    0, D2+14, D2+21 ; _05_CannonHit

        .byte 0, 3, 0, 3, 0 ; _06_P_Type
        .byte    3, 0, 4, 0 ; _06_P_Type
        .byte    4, 0, 4 ; _06_P_Type

        .byte 0, D4+4, 0, 4, 0 ; _07_EnemyFormationHit
        .byte    D4+6, 0, 6, 0 ; _07_EnemyFormationHit
        .byte    D4+7, 0, 7, 0 ; _07_EnemyFormationHit
        .byte    D4+9, 0, 9 ; _07_EnemyFormationHit

        .byte 0, $1C, $1C, $19, $19 ; _08_MissileSpyShipHit
        .byte    $16, $16, $15, $15 ; _08_MissileSpyShipHit
        .byte    $19, $19, $16, $16 ; _08_MissileSpyShipHit
        .byte    $15, $15, $13, $13 ; _08_MissileSpyShipHit
        .byte    $16, $16, $15, $15 ; _08_MissileSpyShipHit
        .byte    $0c, $0c, $08, $08 ; _08_MissileSpyShipHit
        
        .byte 0, D2+19, 21, 19, 21 ; _09_E_Type_MissileHit
        .byte       19, 21, 19, 21 ; _09_E_Type_MissileHit
        .byte    D2+19, D2+20, D2+21, 23 ; _09_E_Type_MissileHit
        .byte       24, 26, D2+27 ; _09_E_Type_MissileHit
        
        .byte 0, D6+19, D6+20, D6+17, D6+18; _10TenSndAlertCondRed (repeats 16.5 X)
        
        .byte 0, 15, 16, 17, 18 ; _11_AsteroidHit
        .byte    19, 20, 21, 22 ; _11_AsteroidHit
        .byte    23, 15, 15, 16 ; _11_AsteroidHit
        .byte    17, 18, 19, 21 ; _11_AsteroidHit
        .byte    22, 23 ; _11_AsteroidHit
                
        ; .byte 0, D2+$1b, D2+$15, D2+$1b, D2+$16 ; Asteroid Hit
        ; .byte    D2+$1b, D2+$17, D2+$1b, D2+$18 ; Asteroid Hit
        ; .byte    D2+$1b, D2+$19, D2+$1b, D2+$1a ; Asteroid Hit
        ; .byte    D2+$1b, D2+$1b, D2+$1b         ; Asteroid Hit    
        
        .byte 0, D1+$17, D1+$17, D2+$17, D2+$17 ; Mine Explosion
        .byte    D2+$17, D2+$17, D2+$17, D2+$17 ; Mine Explosion
        .byte    D2+$17, D2+$17, D2+$17, D2+$17 ; Mine Explosion             
        .byte 0, D2+$1f, D4+$1f, D4+$1f, D4+$1f         ; Player's Ship Explosion
        .byte    D4+$1f, D4+$1f, D4+$1f, D4+$1f         ; Player's Ship Explosion
        .byte    D4+$1f, D4+$1f, D4+$1f, D4+$1f, D4+$1f ; Player's Ship Explosion                    
        
        ; .byte 0, 6, D3+7, 6, D3+7     ; Player Shoots
        ; .byte    6, D3+7, 6, D3+7     ; Player Shoots
        ; .byte    6, D3+7, 6, D3+7     ; Player Shoots
        ; .byte    6, D3+7 ; Player Shoots
        ; 
        ; .byte 0, 13, 16, 18, 23 ; Cannon Hit Sound
        ; .byte    29, 13, 16, 18 ; Cannon Hit Sound
        ; .byte    23, 30, 13, 17 ; Cannon Hit Sound
        ; .byte    19, 23, 29, 13 ; Cannon Hit Sound
        ; .byte    16, 18, 23, 29 ; Cannon Hit Sound
        ; 
        ; .byte 0, $1C, $1C, $19, $19 ; Missile or Spy Ship Hit
        ; .byte    $16, $16, $15, $15 ; Missile or Spy Ship Hit
        ; .byte    $19, $19, $16, $16 ; Missile or Spy Ship Hit
        ; .byte    $15, $15, $13, $13 ; Missile or Spy Ship Hit
        ; .byte    $16, $16, $15, $15 ; Missile or Spy Ship Hit
        ; .byte    $0c, $0c, $08, $08 ; Missile or Spy Ship Hit        
        ; 
        ; .byte 0, D7+14, D7+14, D7+14, D7+14 ; Round Clear A
        ; .byte    D4+19, D4+19, D4+19, D4+19 ; Round Clear A
        ; .byte    D4+19, D4+19, D4+22, D4+22 ; Round Clear A
        ; .byte    D4+22, D4+22, D4+22, D4+22 ; Round Clear A
        ; .byte    D4+22 ; Round Clear A
; 
        ; .byte 0, D7+8, D7+8, D7+8, D7+8  ; Round Clear B
        ; .byte    D4+0, D4+9, D4+0, D4+10 ; Round Clear B
        ; .byte    D4+0, D4+9, D4+0, D4+10 ; Round Clear B
        ; .byte    D4+0, D4+10, D4+0, D4+0 ; Round Clear B
        ; .byte    D4+10 ; Round Clear B
        ; 
        ; .byte 0, D5+9, D5+10, D5+11, D5+5 ; SongBeginA
        ; .byte D5+7, D5+9, D5+11, D5+7 ; SongBeginA
        ; .byte D5+9, D5+11, D5+15, D5+9 ; SongBeginA
        ; .byte D5+11, D5+15, D5+17, D5+11 ; SongBeginA
        ; .byte D5+15, D5+17, D5+19, D5+29 ; SongBeginA
        ; .byte D5+23, D5+19, D5+17, D5+29 ; SongBeginA
        ; .byte D5+23, D5+19, D5+17, D5+29 ; SongBeginA
        ; .byte D5+23, D5+19, D5+17, D5+29 ; SongBeginA
        ; .byte D5+23, D5+19, D5+17, D5+29 ; SongBeginA
        ; .byte D5+23, D5+19, D5+17, D5+29 ; SongBeginA
        ; .byte D5+26, D5+23, D5+17, D5+29 ; SongBeginA
        ; .byte D5+29, D5+23, D5+17, D5+29 ; SongBeginA
        ; .byte D5+23, D5+19, D5+17 ; SongBeginA
; 
; 
        ; .byte 0, D5+5, D5+8, D5+9, D5+11 ; SongBeginB
        ; .byte    D5+11, D5+11, D5+11, D5+15 ; SongBeginB
        ; .byte    D5+15, D5+15, D5+15, D5+17 ; SongBeginB
        ; .byte    D5+17, D5+17, D5+17, D5+19 ; SongBeginB
        ; .byte    D5+19, D5+19, D5+19, D5+23 ; SongBeginB
        ; .byte    D5+23, D5+26, D5+26, D5+31 ; SongBeginB
        ; .byte    D5+31, D5+23, D5+23, D5+23 ; SongBeginB
        ; .byte    D5+23, D5+21, D5+21, D5+19 ; SongBeginB
        ; .byte    D5+19, D5+19, D5+19, D5+29 ; SongBeginB
        ; .byte    D5+29, D5+23, D5+23, D5+26 ; SongBeginB
        ; .byte    D5+26, D5+23, D5+23, D5+23 ; SongBeginB
        ; .byte    D5+23, D5+26, D5+26, D5+29 ; SongBeginB
        ; .byte    D5+29, D5+29, D5+29 ; SongBeginB        
        ; 
; ; below here are placeholder sound effects
        ; .byte 0, D1+$17, D1+$17, D2+$17, D2+$17 ; Small UFO Explosion
        ; .byte    D2+$17, D2+$17, D2+$17, D2+$17 ; Small UFO Explosion
        ; .byte    D2+$17, D2+$17, D2+$17, D2+$17 ; Small UFO Explosion       
        ; .byte 0, D1+$1b, D3+$1b, D3+$1b, D3+$1b ; Large UFO Explosion
        ; .byte    D3+$1b, D3+$1b, D3+$1b, D3+$1b ; Large UFO Explosion
        ; .byte    D3+$1b, D3+$1b, D3+$1b, D3+$1b ; Large UFO Explosion  
        ; .byte 0, D2+$1b, D2+$15, D2+$1b, D2+$16 ; Asteroid Hit
        ; .byte    D2+$1b, D2+$17, D2+$1b, D2+$18 ; Asteroid Hit
        ; .byte    D2+$1b, D2+$19, D2+$1b, D2+$1a ; Asteroid Hit
        ; .byte    D2+$1b, D2+$1b, D2+$1b         ; Asteroid Hit      
        ; .byte 0, D1+$17, D1+$17, D2+$17, D2+$17 ; Mine Explosion
        ; .byte    D2+$17, D2+$17, D2+$17, D2+$17 ; Mine Explosion
        ; .byte    D2+$17, D2+$17, D2+$17, D2+$17 ; Mine Explosion             
        ; .byte 0, D2+$1f, D4+$1f, D4+$1f, D4+$1f         ; Player's Ship Explosion
        ; .byte    D4+$1f, D4+$1f, D4+$1f, D4+$1f         ; Player's Ship Explosion
        ; .byte    D4+$1f, D4+$1f, D4+$1f, D4+$1f, D4+$1f ; Player's Ship Explosion            
        ; .byte 0, D4+24 ; menu blip
SoundFreqSize = * - SoundFreq

;===============================================================================
; Control & Volume Data
;-------------------------------------------------------------------------------
; Upper nybble holds Audio Control (AUDCx) value
; Lower nybble holds Audio Volume (AUDVx) value
;===============================================================================

SoundControlVolume: ; upper nybble AUDC, lower nybble volume.   $00 = end of sound effect.

    .byte 0, $58 ; menu blip
SoundMenuBlip: EQU * - SoundControlVolume - 1 

    .byte 0, $81, $81, $81, $82  ; Player Shoots
    .byte    $82, $82, $83, $83  ; Player Shoots
    .byte    $83, $83, $83, $83  ; Player Shoots
    .byte    $83, $83, $83       ; Player Shoots
SoundPlayerShoot: EQU * - SoundControlVolume - 1

    .byte 0, $CD, $CD, $CD, $CA  ; _01_SongEndA
    .byte    $CA, $CA, $CA, $CA  ; _01_SongEndA
    .byte    $CA, $CA, $CA, $CA  ; _01_SongEndA
    .byte    $CA, $CA, $CA, $CA  ; _01_SongEndA
    .byte    $CA, $CA, $CA, $49  ; _01_SongEndA
    .byte    $09, $49, $49, $49  ; _01_SongEndA
    .byte    $49, $49, $49, $49  ; _01_SongEndA
    .byte    $09, $49, $49, $49  ; _01_SongEndA
    .byte    $49, $09, $49, $09  ; _01_SongEndA
    .byte    $49, $49, $49, $49  ; _01_SongEndA
    .byte    $49, $09, $49, $49  ; _01_SongEndA
    .byte    $49, $49, $49, $09  ; _01_SongEndA
    .byte    $49, $49, $49  ; _01_SongEndA
_01_SongEndA: EQU * - SoundControlVolume - 1
    
    .byte 0, $CD, $CD, $CD, $C8 ; _01_SongEndB
    .byte    $C8, $C8, $08, $C8 ; _01_SongEndB
    .byte    $C8, $C8, $08, $C8 ; _01_SongEndB
    .byte    $C8, $C8, $08, $C8 ; _01_SongEndB
    .byte    $C8, $C8, $08, $49 ; _01_SongEndB
    .byte    $49, $49, $49, $49 ; _01_SongEndB
    .byte    $49, $49, $49, $49 ; _01_SongEndB
    .byte    $49, $49, $49, $49 ; _01_SongEndB
    .byte    $49, $49, $49, $49 ; _01_SongEndB
    .byte    $09, $49, $49, $49 ; _01_SongEndB
    .byte    $09, $49, $49, $49 ; _01_SongEndB
    .byte    $49, $49, $49, $49 ; _01_SongEndB
    .byte    $49, $49, $49 ; _01_SongEndB
_01_SongEndB: EQU * - SoundControlVolume - 1

    .byte 0, $c7, $c7, $c7, $c7 ; _02_RoundClearA
    .byte    $c6, $c5, $c6, $c5 ; Round Clear A
    .byte    $c6, $c5, $c6, $c5 ; Round Clear A
    .byte    $c6, $c5, $c6, $c5 ; Round Clear A
    .byte    $c5 ; Round Clear A
_02_RoundClearA: EQU * - SoundControlVolume - 1

    .byte 0, $c8, $c8, $c8, $c8 ; _02_RoundClearB
    .byte    $08, $c8, $08, $c8 ; Round Clear B
    .byte    $08, $c8, $08, $c8 ; Round Clear B
    .byte    $08, $c8, $08, $08 ; Round Clear B
    .byte    $c8 ; Round Clear B
_02_RoundClearB: EQU * - SoundControlVolume - 1

    ; .byte 0, $c7, $c7, $c7, $c7 ; _03_TrampolineA
    ; .byte    $c7, $c7, $c7, $c7 ; _03_TrampolineA
    ; .byte    $c7 ; _03_TrampolineA
; _03_TrampolineA: EQU * - SoundControlVolume - 1
; 
    ; .byte 0, $c7, $c7, $c7, $c7 ; _03_TrampolineB
    ; .byte    $c7, $c7, $c7, $c7 ; _03_TrampolineB
    ; .byte    $c7 ; _03_TrampolineB
; _03_TrampolineB: EQU * - SoundControlVolume - 1

    .byte 0, $c8, $c8, $c8, $c8 ; _04_ExtendingA
    .byte    $c8, $c8, $c8, $c8 ; _04_ExtendingA
    .byte    $c8, $c8 ; _04_ExtendingA
_04_ExtendingA: EQU * - SoundControlVolume - 1

    .byte 0, $c8, $c8, $c8, $c8 ; _04_ExtendingB
    .byte    $c8, $c8, $c8, $c8 ; _04_ExtendingB
    .byte    $c8, $c8 ; _04_ExtendingB
_04_ExtendingB: EQU * - SoundControlVolume - 1

    .byte 0, $c7, $47, $07, $c7 ; _05_CannonHit
    .byte    $47, $07, $c7, $47 ; _05_CannonHit
    .byte    $07, $c7, $47 ; _05_CannonHit
_05_CannonHit: EQU * - SoundControlVolume - 1

    .byte 0, $c5, $05, $c5, $05 ; _06_P_Type
    .byte    $c5, $05, $c5, $05 ; _06_P_Type
    .byte    $c5, $05, $c5 ; _06_P_Type
_06_P_Type: EQU * - SoundControlVolume - 1

    .byte 0, $c4, $04, $c4, $04 ; _07_EnemyFormationHit
    .byte    $c4, $04, $c4, $04 ; _07_EnemyFormationHit
    .byte    $c4, $04, $c4, $04 ; _07_EnemyFormationHit
    .byte    $c4, $04, $c4 ; _07_EnemyFormationHit
_07_EnemyFormationHit: EQU * - SoundControlVolume - 1

    .byte 0, $42, $44, $44, $46 ; _08_MissileSpyShipHit
    .byte    $48, $4a, $43, $45 ; _08_MissileSpyShipHit
    .byte    $47, $4a, $48, $4c ; _08_MissileSpyShipHit
    .byte    $4a, $48, $4a, $4c ; _08_MissileSpyShipHit
    .byte    $49, $46, $47, $49 ; _08_MissileSpyShipHit
    .byte    $43, $48, $4a, $49 ; _08_MissileSpyShipHit
_08_MissileSpyShipHit: EQU * - SoundControlVolume - 1

    .byte 0, $45, $45, $45, $45 ; _09_E_Type_MissileHit
    .byte    $45, $45, $45, $45 ; _09_E_Type_MissileHit
    .byte    $45, $45, $45, $45 ; _09_E_Type_MissileHit
    .byte    $45, $45, $43 ; _09_E_Type_MissileHit
_09_E_Type_MissileHit: EQU * - SoundControlVolume - 1

_10ActiveAlertCondRed: EQU * - SoundControlVolume
    .byte 0, $c5, $c5, $c5, $c4 ; _10TenSndAlertCondRed (repeats 16.5 times)
_10TenSndAlertCondRed: EQU * - SoundControlVolume - 1

    .byte 0, $44, $44, $45, $45 ; _11_AsteroidHit
    .byte    $45, $45, $45, $45 ; _11_AsteroidHit
    .byte    $45, $43, $44, $45 ; _11_AsteroidHit
    .byte    $45, $45, $45, $45 ; _11_AsteroidHit
    .byte    $45, $46; _11_AsteroidHit
_11_AsteroidHit: EQU * - SoundControlVolume - 1

    ; .byte 0, $81, $62, $83, $64 ; Asteroid Hit
    ; .byte    $85, $66, $87, $68 ; Asteroid Hit
    ; .byte    $89, $6a, $8b, $6c ; Asteroid Hit
    ; .byte    $8d, $6e, $8f      ; Asteroid Hit
; SoundAsteroidHit: EQU * - SoundControlVolume - 1

    .byte 0, $81, $82, $83, $85 ; Mine Explosion
    .byte    $86, $88, $89, $8b ; Mine Explosion
    .byte    $8c, $8d, $8e, $8f ; Mine Explosion
SoundMineHit: EQU * - SoundControlVolume - 1

    .byte 0, $81, $82, $83, $84         ; Player's Ship Explosion
    .byte    $85, $87, $88, $8a         ; Player's Ship Explosion
    .byte    $8b, $8c, $8d, $8e, $8f    ; Player's Ship Explosion
SoundPlayerHit: EQU * - SoundControlVolume - 1


    ; .byte 0, $81, $81, $81, $82  ; Player Shoots
    ; .byte    $82, $83, $83, $84  ; Player Shoots
    ; .byte    $84, $85, $85, $86  ; Player Shoots
    ; .byte    $86, $87            ; Player Shoots
; SoundPlayerShoot: EQU * - SoundControlVolume - 1
; 
    ; .byte 0, $44, $49, $46, $49 ; Cannon Hit Sound
    ; .byte    $46, $49, $47, $49 ; Cannon Hit Sound
    ; .byte    $47, $49, $45, $49 ; Cannon Hit Sound
    ; .byte    $46, $49, $46, $49 ; Cannon Hit Sound
    ; .byte    $47, $49, $47, $49 ; Cannon Hit Sound
; SoundCannonHit: EQU * - SoundControlVolume - 1
; 
    ; .byte 0, $42, $44, $44, $46 ; Missile or Spy Ship Hit
    ; .byte    $48, $4a, $43, $45 ; Missile or Spy Ship Hit
    ; .byte    $47, $4a, $48, $4c ; Missile or Spy Ship Hit
    ; .byte    $4a, $48, $4a, $4c ; Missile or Spy Ship Hit
    ; .byte    $49, $46, $47, $49 ; Missile or Spy Ship Hit
    ; .byte    $43, $48, $4a, $49 ; Missile or Spy Ship Hit
; SoundMissileSpyShipHit: EQU * - SoundControlVolume - 1
; 
    ; .byte 0, $c7, $c7, $c7, $c7 ; Round Clear A
    ; .byte    $c6, $c5, $c6, $c5 ; Round Clear A
    ; .byte    $c6, $c5, $c6, $c5 ; Round Clear A
    ; .byte    $c6, $c5, $c6, $c5 ; Round Clear A
    ; .byte    $c5 ; Round Clear A
; TuneRoundClearA: EQU * - SoundControlVolume - 1
; 
    ; .byte 0, $c8, $c8, $c8, $c8 ; Round Clear B
    ; .byte    $08, $c8, $08, $c8 ; Round Clear B
    ; .byte    $08, $c8, $08, $c8 ; Round Clear B
    ; .byte    $08, $c8, $08, $08 ; Round Clear B
    ; .byte    $c8 ; Round Clear B
; TuneRoundClearB: EQU * - SoundControlVolume - 1
; 
    ; .byte 0, $CD, $CD, $CD, $CA  ; SongBeginA
    ; .byte    $CA, $CA, $CA, $CA  ; SongBeginA
    ; .byte    $CA, $CA, $CA, $CA  ; SongBeginA
    ; .byte    $CA, $CA, $CA, $CA  ; SongBeginA
    ; .byte    $CA, $CA, $CA, $49  ; SongBeginA
    ; .byte    $09, $49, $49, $49  ; SongBeginA
    ; .byte    $49, $49, $49, $49  ; SongBeginA
    ; .byte    $09, $49, $49, $49  ; SongBeginA
    ; .byte    $49, $09, $49, $09  ; SongBeginA
    ; .byte    $49, $49, $49, $49  ; SongBeginA
    ; .byte    $49, $09, $49, $49  ; SongBeginA
    ; .byte    $49, $49, $49, $09  ; SongBeginA
    ; .byte    $49, $49, $49  ; SongBeginA
; SongBeginA: EQU * - SoundControlVolume - 1
    ; 
    ; .byte 0, $CD, $CD, $CD, $C8 ; SongBeginB
    ; .byte    $C8, $C8, $08, $C8 ; SongBeginB
    ; .byte    $C8, $C8, $08, $C8 ; SongBeginB
    ; .byte    $C8, $C8, $08, $C8 ; SongBeginB
    ; .byte    $C8, $C8, $08, $49 ; SongBeginB
    ; .byte    $49, $49, $49, $49 ; SongBeginB
    ; .byte    $49, $49, $49, $49 ; SongBeginB
    ; .byte    $49, $49, $49, $49 ; SongBeginB
    ; .byte    $49, $49, $49, $49 ; SongBeginB
    ; .byte    $09, $49, $49, $49 ; SongBeginB
    ; .byte    $09, $49, $49, $49 ; SongBeginB
    ; .byte    $49, $49, $49, $49 ; SongBeginB
    ; .byte    $49, $49, $49 ; SongBeginB
; SongBeginB: EQU * - SoundControlVolume - 1
; 
; 
; ; below here are placeholder sound effects
    ; .byte 0, $81, $82, $83, $85 ; Small UFO Explosion
    ; .byte    $86, $88, $89, $8b ; Small UFO Explosion
    ; .byte    $8c, $8d, $8e, $8f ; Small UFO Explosion
; SoundETypeHit: EQU * - SoundControlVolume - 1
; 
    ; .byte 0, $81, $82, $83, $85 ; Large UFO Explosion
    ; .byte    $86, $88, $89, $8b ; Large UFO Explosion
    ; .byte    $8c, $8d, $8e, $8f ; Large UFO Explosion
; SoundPTypeHit: EQU * - SoundControlVolume - 1
; 
    ; .byte 0, $81, $62, $83, $64 ; Asteroid Hit
    ; .byte    $85, $66, $87, $68 ; Asteroid Hit
    ; .byte    $89, $6a, $8b, $6c ; Asteroid Hit
    ; .byte    $8d, $6e, $8f      ; Asteroid Hit
; SoundAsteroidHit: EQU * - SoundControlVolume - 1
; 
    ; .byte 0, $81, $82, $83, $85 ; Mine Explosion
    ; .byte    $86, $88, $89, $8b ; Mine Explosion
    ; .byte    $8c, $8d, $8e, $8f ; Mine Explosion
; SoundMineHit: EQU * - SoundControlVolume - 1
; 
    ; .byte 0, $81, $82, $83, $84         ; Player's Ship Explosion
    ; .byte    $85, $87, $88, $8a         ; Player's Ship Explosion
    ; .byte    $8b, $8c, $8d, $8e, $8f    ; Player's Ship Explosion
; SoundPlayerHit: EQU * - SoundControlVolume - 1
; 

SoundControlVolumeSize = * - SoundControlVolume

 if SoundControlVolumeSize != SoundFreqSize
    echo ">>>> SFX Error: table SoundFreq is not the same size as table SoundControlVolume"
    err
 endif 


